Bug 1585743 - Request to package QGIS 3.x
Summary: Request to package QGIS 3.x
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1548890 (view as bug list)
Depends On:
Blocks: PYTHON3 PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-06-04 15:07 UTC by Flo H.
Modified: 2019-04-21 16:58 UTC (History)
10 users (show)

Fixed In Version: qgis-3.4.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-21 16:58:12 UTC


Attachments (Terms of Use)

Description Flo H. 2018-06-04 15:07:05 UTC
Description of problem:
QGIS 3.0.x has been released.

QGIS version in Fedora repos is still 2.18.x

Could you please package the new release for Fedora? Thanks!

Comment 1 Volker Fröhlich 2018-06-10 23:22:11 UTC
*** Bug 1548890 has been marked as a duplicate of this bug. ***

Comment 2 Volker Fröhlich 2018-06-10 23:24:49 UTC
This is eventually going to happen. Thanks for pointing out that COPR build in the duplicate ticket. That helped me to finally figure out why my builds always segfaulted.

I made my recent build use the system version of poly2tri and added a couple of other features in the build. There are a few more things I want to check, but I should get a build done soon.

Which version of Fedora this will actually go to, is a different story. Are there known incompatibilities between 2.x and 3.x?

Comment 3 Basil Eric Rabi 2018-06-10 23:46:45 UTC
- Several processing built-in algorithms (e.g. voronoi polygons, delaunay triangulation) are still broken (though the mmqgis plugin works with QGIS3.x).
- Majority of the plugins are not yet ported to python3 thus are not usable in QGIS3.x.
- QGIS3.x .qgs files are not compatible with QGIS2.x
- The R provider is removed in QGIS3.x

Comment 4 Daniele Viganò 2018-06-17 10:04:19 UTC
Thanks Volker,

just to make a summary: currently on COPR I have three repos:

- https://copr.fedorainfracloud.org/coprs/dani/qgis which contains QGIS stable, 3.0.3 as writing. It's built from the official spec in the QGIS repo; feel free to open PR against it (I was the one that ported it from QGIS 2 to QGIS 3, maybe I missed something).

- https://copr.fedorainfracloud.org/coprs/dani/qgis-ltr contains latest QGIS 2.18 available and SAGA fixed

- https://copr.fedorainfracloud.org/coprs/dani/qgis-testing which contains a weekly unstable build of QGIS master (performed via https://ci.services.vigano.me/#/builders/2)

All the three repos are built against the proper GRASS version, based on the specific release of Fedora (see the compatibility matrix in each project).
The SPEC file in QGIS 3/master (https://github.com/qgis/QGIS/blob/master/rpm/qgis.spec.template) already supports GRASS 7.4 (and 7.2 for F26)

Comment 5 Daniele Viganò 2018-06-22 17:15:54 UTC
QGIS 3.2.0 has been released (and copr updated)

Comment 6 Basil Eric Rabi 2018-11-04 16:09:56 UTC
QGIS 3.4.0 has been released.

Comment 7 Miro Hrončok 2019-01-01 20:25:32 UTC
QGIS 3 also uses Python 3 instead of Python 2.

Can we do this for Fedora 30? Self contained change proposal deadline is in ~1 month.

Comment 8 Volker Fröhlich 2019-01-06 14:09:49 UTC
Will do.

Comment 9 Miro Hrončok 2019-01-29 15:58:17 UTC
Any chance we can still do this in F30? All the deadlines are approaching.

Comment 10 Volker Fröhlich 2019-01-30 08:20:47 UTC
Yes, I'm trying to finish it now.

Comment 11 Miro Hrončok 2019-01-30 09:31:59 UTC
Thanks Volter. Let me know if I can help you test it. I don't do GIS very much, but I had a short intro to QGIS at the university couple years ago.

Comment 12 Volker Fröhlich 2019-01-31 07:45:21 UTC
I've got a succeeded draft build on Koji. It needs some more clean-up, but I guess I can make a proper build for now.

Comment 13 Volker Fröhlich 2019-01-31 18:09:12 UTC
The package is building in Rawhide now.

Comment 14 Ben Cotton 2019-02-19 17:12:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 15 Miro Hrončok 2019-04-21 16:58:12 UTC
QGIS 3 seems to work fine on Fedora 30.


Note You need to log in before you can comment on or make changes to this bug.